package appletSample; // NOPMD nimi saa kelvata

import static java.lang.Math.PI;

import java.awt.Color;

import fi.jyu.mit.graphics.Axis;
import fi.jyu.mit.graphics.EasyApplet;
import fi.jyu.mit.graphics.FunctionMapRR;
import fi.jyu.mit.graphics.Polynom;
import fi.jyu.mit.graphics.SinFun;
import fi.jyu.mit.graphics.SpacePanel;

/**
 * Sovelma, joka kytt kuvapaneelia.
 * @author vesal
 * @version 28.08.2008
 */
public class FunctionApplet extends EasyApplet {

    private static final long serialVersionUID = 8729837737198762878L;


    /**
     * Alustetaan sovelmalle kuviot.
     * @see java.applet.Applet#init()
     */
    @Override
    public void init() {
        SpacePanel panel = getPanel();
        panel.scale(-7, -2, 8, 7);
        panel.add(new Axis(13, 100, 10));
        panel.add(new FunctionMapRR(SinFun.sin, -2 * PI, 2 * PI, 0));
        panel.add(new FunctionMapRR(new Polynom(1, 0, 0), -4, 4, 0))
                .setColor(Color.RED);
        panel.add(new FunctionMapRR(new Polynom(1, 3, 0, 0), -4, 4, 0))
                .setColor(Color.GREEN);
        panel.add(new FunctionMapRR(new Polynom(0.5, 2, 1, -1, -1), -4, 4, 0))
                .setColor(Color.ORANGE);
    }

}
