package fi.jyu.mit.graphics;

/**
 * Luokka jolla laittaa kuvan liikkumaan
 * @author Vesa Lappalainen
 */
public class Mover extends BasicTransformer {

    /**
     * Luo uuden liikuttajan
     * @param object olio jota liikutetaan
     * @param dx liikutettava matka x-akselin suunnassa
     * @param dy liikutettava matka y-akselin suunnassa
     * @param dz liikutettava matka z-akselin suunnassa
     * @param dt liikutusaskelien vlinen aika millisekunteina
     */
    public Mover(Transformable object, double dx, double dy, double dz,
            long dt) {
        super(object, new TranslateMatrix(dx, dy, dz), dt);
    }

}
