package fi.jyu.mit.graphics;

/**
 * Rajapinta olioiden ohjaimille
 * @author Markus Kivioja
 *
 */
public interface ObjectController {

    /**
     * Asettaa olion jota tll ohjaimella ohjataan
     * @param object ohjattava olio
     */
    void setObject(Transformable object);


    /**
     * Antaa olion jota tll ohjaimella ohjataan
     * @return ohjattava olio
     */
    Transformable getObject();


    /**
     * Asettaa ohjaimen nkyville
     *
     */
    void showController();


    /**
     * Piilottaa ohjaimen
     *
     */
    void hideController();
}
