package appletSample; // NOPMD nimi saa kelvata

import java.awt.Color;

import sample.CarSample.Car;
import sample.UkkoSample.Ukko;
import fi.jyu.mit.graphics.ControlButtons;
import fi.jyu.mit.graphics.EasyApplet;
import fi.jyu.mit.graphics.SpacePanel;
import fi.jyu.mit.graphics.TouchPad;

/**
 * Sovelma, joka kytt kuvapaneelia.
 * @author vesal
 * @version 28.08.2008
 */
public class CarManApplet extends EasyApplet {

    private static final long serialVersionUID = 8729837737198762872L;


    /**
     * Alustetaan sovelmalle kuviot.
     * @see java.applet.Applet#init()
     */
    @Override
    public void init() {
        SpacePanel panel = getPanel();
        Car car = new Car(0, 0, 0);

        panel.add(car);
        panel.scale(-4, -4, 4, 4);

        Ukko ukko = new Ukko(-3, 3, 0.01, 180, Color.RED);
        panel.add(ukko);

        setTouchPad(true, true);
        setControlButtons(true);

        add(new TouchPad(ukko, false));
        add(new ControlButtons(ukko));
    }
}
