package fi.jyu.mit.graphics;

/**
 * Skaalausmatriisi
 * @author Vesa Lappalainen
 *
 */
public class ScaleMatrix extends Matrix {

    /**
     * Luo matriisin jolla voi skaalata olioita
     * @param sx skaalaus x-akselin suunnassa
     * @param sy skaalaus y-akselin suunnassa
     * @param sz skaalaus z-akselin suunnassa
     */
    public ScaleMatrix(double sx, double sy, double sz) {
        super();
        set(0, 0, sx);
        set(1, 1, sy);
        set(2, 2, sz);
    }
}
