package sample2;

import fi.jyu.mit.graphics.*;
import static fi.jyu.mit.graphics.Bitmap.*;

/**
 * Esimerkki kuinka bitmap muutetaan 2-ulotteiseksi kokonaislukutaulukoksi
 * @author vesal
 * @version 5.9.2010
 */
public class BitmapArraySample {

    /**
     * Katsotaan melkein punaiset pisteet ja vaihdetaan ne valkoisiksi.
     * Korjattu korjaus tehdn kesekll kuvaa olevaan alueeseen.
     * @param args ei kytss
     */
    public static void main(String[] args) {
        Bitmap bm = new Bitmap(0, 0, "sample/CarSample.png");
        EasyWindow window = new EasyWindow(bm.getWidth(), bm.getHeight());
        window.add(bm);
        int valkoinen = packRGB(255, 255, 255);

        int[][] data = bm.getData(100, 100, 200, 200); // otetaan palanen
                                                       // ksittelyyn

        for (int iy = 0; iy < data.length; iy++) {
            for (int ix = 0; ix < data[iy].length; ix++) {
                int c = data[iy][ix];
                if (getRed(c) > 150 && getGreen(c) < 50 && getBlue(c) < 50) // jos
                                                                            // aika
                                                                            // punainen
                    data[iy][ix] = valkoinen; // niin valkoista tilalle
            }
        }
        bm.setData(100, 100, data);
        bm.redraw();
    }

}
